Skip to navigation

Create template responsive HTML preview

View as Markdown

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

templateIdstringRequired
The ID of the template being accessed.

Request

This endpoint expects an object: documentHtmlDefinition

displayAnchorPrefixstringOptional
displayAnchorslist of objectsOptional
displayOrderstringOptional
displayPageNumberstringOptional
documentGuidstringOptional
documentIdstringOptional
The ID of the document being accessed.
headerLabelstringOptional
maxScreenWidthstringOptional
removeEmptyTagsstringOptional
showMobileOptimizedTogglestringOptional
sourcestringOptional

Response

Successful response.
htmlDefinitionslist of stringsOptional

Errors

400
Bad Request Error